Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.util.tools
Class ArgHandlerString

    java.lang.Object
      com.google.gwt.util.tools.ArgHandler
          com.google.gwt.util.tools.ArgHandlerString

Direct Known Subclasses:
  ArgHandlerAddToClassPath, ArgHandlerEclipse

    public abstract class ArgHandlerString

extends ArgHandler

Argument handler for processing flags that take a string as their parameter.

Constructor Summary
`ArgHandlerString()`

Method Summary
`int` | `handle(java.lang.String[] args, int startIndex)`
`abstract boolean` | `setString(java.lang.String str)`

Methods inherited from class com.google.gwt.util.tools.ArgHandler
`getDefaultArgs, getPurpose, getTag, getTagArgs, isRequired, isUndocumented`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArgHandlerString

    public ArgHandlerString()

Method Detail

### handle

    public int handle(java.lang.String[] args,
                      int startIndex)

  Specified by:
    `handle` in class `ArgHandler`

### setString

    public abstract boolean setString(java.lang.String str)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD